--- old/usr/src/man/man1m/dsbitmap.1m	Fri Jul 27 15:35:47 2018
+++ /dev/null	Fri Jul 27 15:07:21 2018
@@ -1,178 +0,0 @@
-'\" te
-.\" Copyright (c) 2007, Sun Microsystems, Inc.  All rights reserved.
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
-.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH DSBITMAP 1M "Oct 2, 2007"
-.SH NAME
-dsbitmap \- size Availability Suite bitmap volumes
-.SH SYNOPSIS
-.LP
-.nf
-\fBdsbitmap\fR \fB-h\fR
-.fi
-
-.LP
-.nf
-\fBdsbitmap\fR \fB-p\fR \fIdata_volume\fR [\fIbitmap_volume\fR]
-.fi
-
-.LP
-.nf
-\fBdsbitmap\fR \fB-r\fR \fIdata_volume\fR [\fIbitmap_volume\fR]
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBdsbitmap\fR command calculates the size of the Availability Suite bitmap
-volume required for use with the specified data volume.
-.SH OPTIONS
-.sp
-.LP
-The following options are supported:
-.sp
-.ne 2
-.na
-\fB\fB-h\fR\fR
-.ad
-.sp .6
-.RS 4n
-Prints the usage message for the \fBdsbitmap\fR command
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-p\fR \fB\fIdata_volume\fR\fR \fB[\fIbitmap_volume\fR]\fR\fR
-.ad
-.sp .6
-.RS 4n
-For the given \fIdata_volume\fR, \fBdsbitmap\fR calculates and display the
-required size for the associated Availability Suite Point in Time bitmap
-volume. The bitmap volume sizes for all possible Availability Suite Point in
-Time set configurations are displayed. These configurations include Independent
-shadow, Full size dependent shadow, and Compact dependent shadow. If the
-optional \fIbitmap_volume\fR argument is supplied, \fBdsbitmap\fR determines if
-this volume is large enough to be used as the bitmap volume for
-\fIdata_volume\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-r\fR \fB\fIdata_volume\fR\fR \fB[\fIbitmap_volume\fR]\fR\fR
-.ad
-.sp .6
-.RS 4n
-For the given \fIdata_volume\fR, \fBdsbitmap\fR calculates and displays the
-required size for the associated Availability Suite Remote Mirror bitmap
-volume. The bitmap volume sizes for all possible Availability Suite Remote
-Mirror set configurations are displayed. These configurations include Sync
-replication,  Async replication with memory queue, disk queue and 32 bit
-refcount.   If the optional \fIbitmap_volume\fR argument is supplied,
-\fBdsbitmap\fR determines if this volume is large enough to be used as the
-bitmap volume for \fIdata_volume\fR.
-.RE
-
-.SH USAGE
-.sp
-.LP
-\fBdsbitmap\fR is typically used by the system administrator during the initial
-stages of configuring Sun StorageTek Availability Suite software in order to
-determine the required bitmap volume sizes, and then to check if the bitmap
-volumes that have been created are suitable.
-.SH EXIT STATUS
-.sp
-.LP
-The following exit values are returned:
-.sp
-.ne 2
-.na
-\fB\fB0\fR\fR
-.ad
-.RS 13n
-Successful completion. If the name of a bitmap volume was specified, that
-volume is sufficiently large for all potential uses.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB1\fR\fR
-.ad
-.RS 13n
-An error occurred.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB2\fR\fR
-.ad
-.RS 13n
-An invalid option was supplied on the command line.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB3\fR\fR
-.ad
-.RS 13n
-The specified bitmap volume is not large enough to be used as an Availability
-Suite Remote Mirror bitmap for an asynchronous set with a disk queue, but is
-large enough to be used for all other Remote Mirror set configurations.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB4\fR\fR
-.ad
-.RS 13n
-The specified bitmap volume is not large enough to be used as an Availability
-Suite Remote Mirror bitmap for any Remote Mirror set configuration.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB5\fR\fR
-.ad
-.RS 13n
-The specified bitmap volume is not large enough to be used as an Availability
-Suite Remote Mirror bitmap for any Remote Mirror set configuration.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB6\fR\fR
-.ad
-.RS 13n
-The specified bitmap volume is not large enough to be used as an Availability
-Suite Point in Time bitmap for a compact dependent shadow, but is large enough
-to be used for all other Point in Time set configurations.
-.RE
-
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Evolving
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBiiadm\fR(1M), \fBsndradm\fR(1M), \fBattributes\fR(5)