--- old/usr/src/man/man1m/dscfg.1m	Fri Jul 27 15:35:47 2018
+++ /dev/null	Fri Jul 27 15:07:21 2018
@@ -1,310 +0,0 @@
-'\" te
-.\"  Copyright (c) 2007, Sun Microsystems, Inc.  All rights reserved.
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
-.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH DSCFG 1M "Oct 2, 2007"
-.SH NAME
-dscfg \- configuration tool for Sun StorageTek Availability Suite software
-.SH SYNOPSIS
-.LP
-.nf
-\fBdscfg\fR
-.fi
-
-.LP
-.nf
-\fBdscfg\fR \fB-L\fR
-.fi
-
-.LP
-.nf
-\fBdscfg\fR \fB-h\fR
-.fi
-
-.LP
-.nf
-\fBdscfg\fR [\fB-C\fR \fIgroup\fR]
-.fi
-
-.LP
-.nf
-\fBdscfg\fR [\fB-C\fR \fIgroup\fR] \fB-i\fR [\fB-p\fR \fIparser_config_file\fR]
-.fi
-
-.LP
-.nf
-\fBdscfg\fR [\fB-C\fR \fIgroup\fR] \fB-a\fR \fIconfig_file\fR
-.fi
-
-.LP
-.nf
-\fBdscfg\fR [\fB-C\fR \fIgroup\fR] [\fB-l\fR]
-.fi
-
-.LP
-.nf
-\fBdscfg\fR [\fB-C\fR \fIgroup\fR] [\fB-l\fR] \fB-s\fR \fIconfig_location\fR
-.fi
-
-.LP
-.nf
-\fBdscfg\fR \fB-D\fR \fIdgname\fR
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBdscfg\fR command controls the Availability Suite configuration by
-providing facilities to initialize, list, format, restore the configuration
-database.
-.SH OPTIONS
-.sp
-.LP
-If no options are specified, \fBdscfg\fR displays the current local
-configuration location. The \fBdscfg\fR command supports the following options:
-.sp
-.ne 2
-.na
-\fB\fB-L\fR\fR
-.ad
-.sp .6
-.RS 4n
-Displays the status of the lock controlling access to the configuration
-database. If the configuration database is locked, the type of lock (read or
-write) is displayed along with the process id of the process that holds the
-lock.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-h\fR\fR
-.ad
-.sp .6
-.RS 4n
-Displays the usage message for the \fBdscfg\fR command.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-i\fR\fR
-.ad
-.sp .6
-.RS 4n
-Initializes the configuration database. As it deletes previous or current
-configuration information, this option prompts you to confirm the deletion
-before proceeding.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-p\fR \fIparser_config_file\fR\fR
-.ad
-.sp .6
-.RS 4n
-When used with the \fB-i\fR option, \fBdscfg\fR loads the parser configuration
-file into the persistent configuration, it reformats the configuration
-database.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-a\fR \fIconfig_file\fR\fR
-.ad
-.sp .6
-.RS 4n
-Restore the specified \fIconfig_file\fR into the configuration. This option
-does not do any error checking of the file. Use of this option invalidates the
-configuration file.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-l\fR\fR
-.ad
-.sp .6
-.RS 4n
-Lists the contents of current configuration database in a format that is
-suitable for the \fB-a\fR option. When used in combination with the \fB-s\fR
-option, it displays the contents stored in the location passed to the \fB-s\fR
-option, but does not set the configuration location.
-.RE
-
-.sp
-.LP
-The options below are for Sun Cluster-configured systems only. \fIgroup\fR can
-be either Sun Cluster device group or as '-' as local devices.
-.sp
-.ne 2
-.na
-\fB\fB-C\fR \fIgroup\fR\fR
-.ad
-.sp .6
-.RS 4n
-Display the location of cluster configuration database.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-C\fR\ \fIgroup\fR\ \fB-i\fR\fR
-.ad
-.sp .6
-.RS 4n
-Initializes the configuration database entries that only associated with group
-specified. As it deletes previous or current configuration information, this
-options prompts you to confirm the deletion before proceeding.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-C\fR\ \fIgroup\fR\ \fB-p\fR\ \fIparser_config_file\fR\fR
-.ad
-.sp .6
-.RS 4n
-When used with the \fB-i\fR option, \fBdscfg\fR loads the parser configuration
-file into the persistent configuration, it reformats the configuration database
-entries that only associated with group specified.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-C\fR \ \fIgroup\fR\ \fB-a\fR\ \fIconfig_file\fR\fR
-.ad
-.sp .6
-.RS 4n
-Restore the specified \fIconfig_file\fR into the configuration database entries
-that only associated with group specified.  This option does not do any error
-checking of the file. Use of this option invalidates the configuration file.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-C\fR\ \fIgroup\fR\ \fB-l\fR\fR
-.ad
-.sp .6
-.RS 4n
-Lists the contents of current configuration database that is associated with
-resource group specified.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-C\fR \ \fIgroup\fR\ \fB-s\fR\ \fIconfig_file_location\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies where the Sun Cluster configuration database resides, the location
-has to be DID device.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-D\fR \fIdevice_group\fR\fR
-.ad
-.sp .6
-.RS 4n
-Checks whether the specified \fIdevice_group\fR is known by Sun Cluster and
-whether it is available on this node. It displays a information that indicates
-the device group's status and return values are as follows,
-.sp
-(use echo $? to retrieve the return value):
-.sp
-.ne 2
-.na
-\fB\fB1\fR\fR
-.ad
-.RS 13n
-Device group is in Sun Cluster and is active on this node;
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB0\fR\fR
-.ad
-.RS 13n
-Device group is in Sun Cluster but active on another node;
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-1\fR\fR
-.ad
-.RS 13n
-Device group is not in Sun Cluster.
-.RE
-
-.RE
-
-.SH USAGE
-.sp
-.LP
-The \fBdscfg\fR command is typically run from other scripts, such as package
-installation scripts, and from \fBdscfgadm\fR(1M). It is not intended for
-general use. For uses of \fBdscfg\fR not covered by \fBdscfgadm\fR, please
-refer to the \fIAvailability Suite Troubleshooting Guide\fR.
-.SH FILES
-.sp
-.ne 2
-.na
-\fB\fB/etc/dscfg_format\fR\fR
-.ad
-.sp .6
-.RS 4n
-parser configuration file
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB/etc/dscfg_local\fR\fR
-.ad
-.sp .6
-.RS 4n
-configuration location for all entries with no cluster tags
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB/etc/dscfg_cluster\fR\fR
-.ad
-.sp .6
-.RS 4n
-reference file specifying the location of the Sun Cluster configuration
-database.
-.RE
-
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Evolving
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBdscfgadm\fR(1M), \fBiiadm\fR(1M), \fBscmadm\fR(1M), \fBsndradm\fR(1M),
-\fBsvadm\fR(1M), \fBds.log\fR(4), \fBattributes\fR(5)