--- old/usr/src/man/man1m/dsstat.1m	Fri Jul 27 15:35:47 2018
+++ /dev/null	Fri Jul 27 15:07:21 2018
@@ -1,1127 +0,0 @@
-'\" te
-.\" Copyright (c) 2007, Sun Microsystems, Inc.  All rights reserved.
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
-.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH DSSTAT 1M "Oct 2, 2007"
-.SH NAME
-dsstat \- report Sun StorageTek Availability Suite I/O statistics
-.SH SYNOPSIS
-.LP
-.nf
-\fBdsstat\fR \fB-m\fR \fImode\fR [\fB-r\fR \fIreport-options\fR] [\fB-d\fR \fIdisplay-options\fR]
- [\fB-s\fR \fIvolume-sets\fR] [\fB-f\fR | \fB-F\fR] [\fB-z\fR] [\fIinterval\fR [\fIcount\fR]]
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBdsstat\fR command collects and reports I/O statistics for the Sun
-StorageTek Availability Suite products.
-.SH OPTIONS
-.sp
-.LP
-The \fBdsstat\fR supports the following options:
-.sp
-.ne 2
-.na
-\fB\fB-m\fR \fB\fImode\fR\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the mode(s) of operation. Valid modes are:
-.sp
-.ne 2
-.na
-\fB\fBcache\fR\fR
-.ad
-.sp .6
-.RS 4n
-Cache statistics
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBii\fR\fR
-.ad
-.sp .6
-.RS 4n
-Point-in-Time Copy statistics
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBsndr\fR\fR
-.ad
-.sp .6
-.RS 4n
-Remote Mirror statistics
-.RE
-
-To display statistics for multiple services simultaneously, use the \fB-m\fR
-switch to specify each of the modes required. For example:
-.sp
-.in +2
-.nf
-% \fBdsstat -m ii -m sndr\fR
-% \fBdsstat -m ii -m sndr -m cache\fR
-.fi
-.in -2
-.sp
-
-To determine which statistics are being reported from which service, use the
-\fIrole\fR field, described below. When cache statistics are requested as one
-of the multiple services, the \fBrkps\fR and \fBwkps\fR statistics is further
-divided into \fBcrkps\fR, \fBdrkps\fR, \fBcwkps\fR, and \fBdwkps\fR. If no
-\fB-m\fR switch is specified, then \fBdsstat\fR displays default statistics for
-all of the valid modes as described above. See "Field Descriptions," below for
-descriptions of these fields.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-r\fR \fB\fIreport-options\fR\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the volume components to be displayed. Each item is represented by a
-single character, and multiple items can be selected. The \fIreport-options\fR
-vary based on the mode(s) specified above. This option is not used for
-\fBcache\fR mode.
-.sp
-Valid \fIreport-options\fR for \fBii\fR mode are:
-.sp
-.ne 2
-.na
-\fB\fBm\fR\fR
-.ad
-.RS 13n
-Master volume statistics.
-.RS +4
-.TP
-.ie t \(bu
-.el o
-For the "report-options for ii mode": \fBm\fR, \fBs\fR, \fBb\fR, \fBo\fR
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-For the "report-options for sndr mode": \fBb\fR, \fBn\fR
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-For the "display-options for cache mode": \fBr\fR, \fBw\fR, \fBd\fR, \fBc\fR,
-\fBs\fR, \fBf\fR
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-For the "display-options for ii mode": \fBr\fR, \fBw\fR, \fBt\fR, \fBs\fR,
-\fBp\fR, \fBf\fR
-.RE
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBs\fR\fR
-.ad
-.RS 13n
-Shadow volume statistics.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBb\fR\fR
-.ad
-.RS 13n
-Bitmap volume statistics.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBo\fR\fR
-.ad
-.RS 13n
-Overflow volume statistics, if attached.
-.RE
-
-Valid \fIreport-options\fR for \fBsndr\fR mode are:
-.sp
-.ne 2
-.na
-\fB\fBb\fR\fR
-.ad
-.RS 13n
-Bitmap volume statistics.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBn\fR\fR
-.ad
-.RS 13n
-Network volume statistics.
-.RE
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-d\fR \fIdisplay-options\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the statistics to be displayed. The types of statistics are
-represented by a single character; multiple types can be specified.
-.sp
-For \fBcache\fR mode, the valid \fIdisplay-options\fR are:
-.sp
-.ne 2
-.na
-\fB\fBr\fR\fR
-.ad
-.RS 13n
-Detailed read statistics.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBw\fR\fR
-.ad
-.RS 13n
-Detailed write statistics.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBs\fR\fR
-.ad
-.RS 13n
-Summary statistics.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBf\fR\fR
-.ad
-.RS 13n
-Cache behavior flags.
-.RE
-
-The following \fIdisplay-options\fR are available only for cache mode, they
-need to be combined with the mode options (\fB-m\fR)
-.sp
-.ne 2
-.na
-\fB\fBd\fR\fR
-.ad
-.RS 13n
-Destaged data statistics.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBc\fR\fR
-.ad
-.RS 13n
-Write cancellation statistics.
-.RE
-
-The default \fIdisplay-options\fR for \fBcache\fR are \fBsf\fR.
-.sp
-For \fBii\fR mode, the valid \fIdisplay-options\fR are:
-.sp
-.ne 2
-.na
-\fB\fBr\fR\fR
-.ad
-.sp .6
-.RS 4n
-Detailed read statistics.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBw\fR\fR
-.ad
-.sp .6
-.RS 4n
-Detailed write statistics.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBt\fR\fR
-.ad
-.sp .6
-.RS 4n
-Timing statistics.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBs\fR\fR
-.ad
-.sp .6
-.RS 4n
-Summary statistics.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBp\fR\fR
-.ad
-.sp .6
-.RS 4n
-Percentage of volume requiring sync.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBf\fR\fR
-.ad
-.sp .6
-.RS 4n
-Volume type/status flags.
-.RE
-
-The default \fIdisplay-options\fR for \fBii\fR are \fBspf\fR. For \fBsndr\fR
-mode, the valid \fIdisplay-options\fR are:
-.sp
-.ne 2
-.na
-\fB\fBr\fR\fR
-.ad
-.RS 13n
-Detailed read statistics.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBw\fR\fR
-.ad
-.RS 13n
-Detailed write statistics.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBt\fR\fR
-.ad
-.RS 13n
-Timing statistics.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBs\fR\fR
-.ad
-.RS 13n
-Summary statistics.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBp\fR\fR
-.ad
-.RS 13n
-Percentage of volume requiring sync.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBf\fR\fR
-.ad
-.RS 13n
-Volume type/status flags.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBq\fR\fR
-.ad
-.RS 13n
-Asynchronous queue statistics.
-.RE
-
-The following \fIdisplay-option\fR is only available for \fBsndr\fR mode, and
-needs to be combined with the mode options (\fB-m\fR).
-.sp
-.ne 2
-.na
-\fB\fBq\fR\fR
-.ad
-.RS 13n
-Asynchronous queue statistics.
-.RE
-
-The default \fIdisplay-options\fR for \fBsndr\fR are \fBspf\fR.
-.sp
-Specifying the summary \fIdisplay-option\fR causes \fBr\fR \fBw\fR \fBt\fR
-\fIdisplay-options\fR to be ignored.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-s\fR \fB\fIvolume-sets\fR\fR\fR
-.ad
-.RS 20n
-Filters the output to include only the specified \fIvolume-sets\fR, where
-\fIvolume-sets\fR is a comma-delimited list of volume names. When displaying
-Remote Mirror statistics, the name specified is compared to the Remote Mirror
-primary volume to determine if they match. Additionally, an Remote Mirror
-volume should be specified as \fI<host>\fR:\fI<volume>\fR where \fI<host>\fR is
-the primary or secondary host and \fI<volume>\fR is the volume name by which
-that host recognizes the volume set. When specifying multiple Remote Mirror
-volumes sets, be aware that each volume set specified is evaluated
-individually, using the rules above. When displaying Point-in-Time Copy
-statistics, the volume name specified is compared to the Point-in-Time Copy
-shadow volume to determine if they match.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-f\fR\fR
-.ad
-.RS 20n
-Output field headers at every reporting cycle.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-F\fR\fR
-.ad
-.RS 20n
-Output field headers once, when reporting begins.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-z\fR\fR
-.ad
-.RS 20n
-Suppress report lines that have zero values or no activity.
-.RE
-
-.SH OPERANDS
-.sp
-.LP
-The \fBdsstat\fR command line supports the following operands:
-.sp
-.ne 2
-.na
-\fB\fIinterval\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the \fIinterval\fR for each report, in seconds. If no \fIinterval\fR
-is specified, a single report with a one second \fIinterval\fR is output.
-.sp
-Due to the varying number of entries in a given set and the varying number of
-sets, header information might appear in the middle of a set being reported. To
-avoid this, use the \fB-f\fR or \fB-F\fR options to display the header
-information at the desired time.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fIcount\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the number of reports to generate. If no \fIcount\fR is specified,
-output continues until interrupted.
-.RE
-
-.SS "Field Descriptions"
-.sp
-.LP
-Unless otherwise specified, all fields are per-second averages based on the
-data collected during the specified \fIinterval\fR.
-.sp
-.ne 2
-.na
-\fB\fBname\fR\fR
-.ad
-.RS 13n
-Name of the entity being reported
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBt\fR\fR
-.ad
-.RS 13n
-Volume type
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBs\fR\fR
-.ad
-.RS 13n
-Volume status
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBr\fR\fR
-.ad
-.RS 13n
-Cache read behavior
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBw\fR\fR
-.ad
-.RS 13n
-Cache write behavior
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBpct\fR\fR
-.ad
-.RS 13n
-Percentage of volume requiring sync
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBrole\fR\fR
-.ad
-.RS 13n
-Role of the item being reported
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBtps\fR\fR
-.ad
-.RS 13n
-Total number of reads + writes
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBrtps\fR\fR
-.ad
-.RS 13n
-Number of reads
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBwtps\fR\fR
-.ad
-.RS 13n
-Number of writes
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBkps\fR\fR
-.ad
-.RS 13n
-Total kilobytes read + written
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBrkps\fR\fR
-.ad
-.RS 13n
-Kilobytes read
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBwkps\fR\fR
-.ad
-.RS 13n
-Kilobytes written
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBcrkps\fR\fR
-.ad
-.RS 13n
-Kilobytes read from cache
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBdrkps\fR\fR
-.ad
-.RS 13n
-Kilobytes read from disk
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBcwkps\fR\fR
-.ad
-.RS 13n
-Kilobytes written to cache
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBdwkps\fR\fR
-.ad
-.RS 13n
-Kilobytes written to disk
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBckps\fR\fR
-.ad
-.RS 13n
-Kilobytes transferred to or from cache
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBdkps\fR\fR
-.ad
-.RS 13n
-Kilobytes transferred to or from disk
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBsvt\fR\fR
-.ad
-.RS 13n
-Service time per operation
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBhit\fR\fR
-.ad
-.RS 13n
-Read hits during \fIinterval\fR
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBds/s\fR\fR
-.ad
-.RS 13n
-Kilobytes destaged from cache
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBcn/s\fR\fR
-.ad
-.RS 13n
-Number of write cancellations
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBq\fR\fR
-.ad
-.RS 13n
-Type of asynchronous queuing being used
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBqi\fR\fR
-.ad
-.RS 13n
-Number of items currently queued
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBqk\fR\fR
-.ad
-.RS 13n
-Kilobytes currently queued
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBqhwi\fR\fR
-.ad
-.RS 13n
-High water mark of queued items
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBqhwk\fR\fR
-.ad
-.RS 13n
-High water mark of queued kilobytes
-.RE
-
-.sp
-.LP
-The \fBname\fR field displays only the last 16 characters of the name.
-.sp
-.LP
-Valid cache behaviors for \fBcache\fR are:
-.sp
-.ne 2
-.na
-\fB\fBC\fR\fR
-.ad
-.RS 13n
-Cache reads/writes
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBD\fR\fR
-.ad
-.RS 13n
-Disk reads/writes
-.RE
-
-.sp
-.LP
-Valid volume types for \fBii\fR are:
-.sp
-.ne 2
-.na
-\fB\fBI\fR\fR
-.ad
-.RS 13n
-Independent shadow volume
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBD\fR\fR
-.ad
-.RS 13n
-Dependent shadow volume
-.RE
-
-.sp
-.LP
-Valid volume status for \fBii\fR is:
-.sp
-.ne 2
-.na
-\fB\fBC\fR\fR
-.ad
-.RS 13n
-Copy in progress
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-\fR\fR
-.ad
-.RS 13n
-No copy in progress
-.RE
-
-.sp
-.LP
-Valid volume types for \fBsndr\fR are:
-.sp
-.ne 2
-.na
-\fB\fBP\fR\fR
-.ad
-.RS 13n
-This is the primary host of this volume set
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBS\fR\fR
-.ad
-.RS 13n
-This is the secondary host of this volume set
-.RE
-
-.sp
-.LP
-Valid volume status for \fBsndr\fR is:
-.sp
-.ne 2
-.na
-\fB\fBL\fR\fR
-.ad
-.RS 13n
-Changes to this volume are being logged
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBQ\fR\fR
-.ad
-.RS 13n
-Volume are in queuing mode
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBR\fR\fR
-.ad
-.RS 13n
-Replicating changes to secondary
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBSY\fR\fR
-.ad
-.RS 13n
-Synchronization in progress. Sending data.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBRS\fR\fR
-.ad
-.RS 13n
-Reverse synchronization in progress. Receiving data.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBSN\fR\fR
-.ad
-.RS 13n
-Synchronization needed
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBRN\fR\fR
-.ad
-.RS 13n
-Reverse synchronization needed
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBVF\fR\fR
-.ad
-.RS 13n
-Volume failed
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBBF\fR\fR
-.ad
-.RS 13n
-Bitmap failed
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBQF\fR\fR
-.ad
-.RS 13n
-Queue failed
-.RE
-
-.sp
-.LP
-Valid queue types for \fBsndr\fR are:
-.sp
-.ne 2
-.na
-\fB\fBD\fR\fR
-.ad
-.RS 13n
-Disk-based queuing enabled
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBM\fR\fR
-.ad
-.RS 13n
-Memory-based queuing enabled
-.RE
-
-.sp
-.LP
-Volume roles for \fBsndr\fR are:
-.sp
-.ne 2
-.na
-\fB\fBnet\fR\fR
-.ad
-.RS 13n
-Network volume statistics
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBbmp\fR\fR
-.ad
-.RS 13n
-Bitmap volume statistics
-.RE
-
-.sp
-.LP
-Volume roles for \fBii\fR are:
-.sp
-.ne 2
-.na
-\fB\fBmst\fR\fR
-.ad
-.RS 13n
-Master volume statistics
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBshd\fR\fR
-.ad
-.RS 13n
-Shadow volume statistics
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBbmp\fR\fR
-.ad
-.RS 13n
-Bitmap volume statistics
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBovr\fR\fR
-.ad
-.RS 13n
-Overflow volume statistics
-.RE
-
-.SH EXAMPLES
-.LP
-\fBExample 1 \fRReport Cache Statistics
-.sp
-.LP
-The following example shows the display of Report Cache statistics, with
-detailed breakdowns of read and writes to cache/disk. Reports are generated at
-five second intervals. Reporting is limited to the set
-\fB/dev/rdsk/c1t1d0s0\fR.
-
-.sp
-.in +2
-.nf
- # dsstat -m cache -d rw -s /dev/rdsk/c1t1d0s0 5
-- read -             - write -
-name                ckps   dkps    hit   ckps   dkps    hit
-dev/rdsk/c1t1d0s0      0      0   0.00      0      0   0.00
-dev/rdsk/c1t1d0s0      3   2396   0.13    983    763 100.00
-dev/rdsk/c1t1d0s0   2399    799  75.00   2815   2686 100.00
-dev/rdsk/c1t1d0s0   3200    800  80.00   2755   2908 100.00
-dev/rdsk/c1t1d0s0   3999    799  83.33   2809   2868 100.00
-dev/rdsk/c1t1d0s0   4800    800  85.71   2867   2931 100.00
-.fi
-.in -2
-
-.LP
-\fBExample 2 \fRReport Master, Shadow and Bitmap Statistics
-.sp
-.LP
-Report master, shadow and bitmap statistics for Point-in-Time Copy, using
-default output. Generate reports at two second intervals.
-
-.sp
-.in +2
-.nf
-# dsstat -m ii -r msb 2
-name               t  s    pct role    kps   tps  svt
-dev/rdsk/c0t1d0s5  I  C  96.15  mst  19921    38   22
-dev/rdsk/c0t1d0s6               shd   9960    19   20
-dev/rdsk/c0t1d0s7               bmp     39    77    2
-dev/rdsk/c0t1d0s5  I  C  94.24  mst  19623    38   22
-dev/rdsk/c0t1d0s6               shd   9939    19   20
-dev/rdsk/c0t1d0s7               bmp     39    77    2
-dev/rdsk/c0t1d0s5  I  C  92.34  mst  19969    39   22
-dev/rdsk/c0t1d0s6               shd   9984    19   20
-dev/rdsk/c0t1d0s7               bmp     39    78    2
-.fi
-.in -2
-
-.LP
-\fBExample 3 \fRReport Network Statistics for Remote Mirror
-.sp
-.LP
-Report network statistics for Remote Mirror, using detailed read, write
-statistics. Report includes volume type/status flags and percentages. Generate
-reports at two second intervals. Limit reporting to the set
-\fB/dev/rdsk/c0t1d0s0\fR.
-
-.sp
-.in +2
-.nf
-# dsstat -m sndr -r n -d rwpf -s /dev/rdsk/c0t1d0s0 2
-name               t  s    pct role   rkps  rtps   wkps  wtps
-dev/rdsk/c0t1d0s0  P  L 100.00  sec      0     0      0     0
-dev/rdsk/c0t1d0s0  P SY  99.90  sec      0     0    288     9
-dev/rdsk/c0t1d0s0  P SY  97.90  sec      0     0   5296   165
-dev/rdsk/c0t1d0s0  P SY  95.81  sec      0     0   5184   161
-dev/rdsk/c0t1d0s0  P SY  93.81  sec      0     0   5280   164
-dev/rdsk/c0t1d0s0  P SY  91.71  sec      0     0   5198   162
-.fi
-.in -2
-
-.SH EXIT STATUS
-.sp
-.LP
-The following exit values are returned:
-.sp
-.ne 2
-.na
-\fB\fB0\fR\fR
-.ad
-.RS 13n
-Successful completion.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB1\fR\fR
-.ad
-.RS 13n
-Successful completion, no statistics to report.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB2\fR\fR
-.ad
-.RS 13n
-An invalid argument has been encountered.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB3\fR\fR
-.ad
-.RS 13n
-No memory is available to create \fBkstat\fR statistics.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB4\fR\fR
-.ad
-.RS 13n
-An unknown error has occurred.
-.RE
-
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Evolving
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBdscfg\fR(1M), \fBsvadm\fR(1M), \fBds.log\fR(4), \fBrdc.cf\fR(4),
-\fBattributes\fR(5)