--- old/usr/src/man/man1m/iiadm.1m	Fri Jul 27 15:35:48 2018
+++ /dev/null	Fri Jul 27 15:07:21 2018
@@ -1,1016 +0,0 @@
-'\" te
-.\"  Copyright (c) 2007, Sun Microsystems, Inc. All rights reserved.
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
-.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH IIADM 1M "Nov 26, 2017"
-.SH NAME
-iiadm \- command-line interface to control Sun StorageTek Availability Suite
-Point-in-Time Copy operations
-.SH SYNOPSIS
-.LP
-.nf
-\fBiiadm\fR \fB-e\fR {ind | shd} \fImaster_vol\fR \fIshadow_vol\fR \fIbitmap_vol\fR
-.fi
-
-.LP
-.nf
-\fBiiadm\fR \fB-ne\fR ind \fImaster_vol\fR \fIshadow_vol\fR \fIbitmap_vol\fR
-.fi
-
-.LP
-.nf
-\fBiiadm\fR [\fB-p\fR] [\fB-n\fR] {\fB-c\fR | \fB-u\fR} {s | m} \fIvolume_set\fR
-.fi
-
-.LP
-.nf
-\fBiiadm\fR [\fB-adDilR\fR] \fIvolume_set\fR
-.fi
-
-.LP
-.nf
-\fBiiadm\fR [\fB-p\fR] [\fB-n\fR] \fB-w\fR \fIvolume_set\fR
-.fi
-
-.LP
-.nf
-\fBiiadm\fR [\fB-hilLv\fR]
-.fi
-
-.LP
-.nf
-\fBiiadm\fR \fB-P\fR \fIdelay\fR \fIunits\fR \fIvolume_set\fR
-.fi
-
-.LP
-.nf
-\fBiiadm\fR \fB-P\fR \fIvolume_set\fR
-.fi
-
-.LP
-.nf
-\fBiiadm\fR \fB-A\fR \fIoverflow_vol\fR \fIvolume_set\fR
-.fi
-
-.LP
-.nf
-\fBiiadm\fR [\fB-OQ\fR] \fIoverflow_vol\fR
-.fi
-
-.LP
-.nf
-\fBiiadm\fR \fB-E\fR \fIvolume_set\fR
-.fi
-
-.LP
-.nf
-\fBiiadm\fR [\fB-IJ\fR] \fIvolume_set\fR \fIbitmap\fR
-.fi
-
-.LP
-.nf
-\fBiiadm\fR \fB-g\fR \fIgroup_name\fR [\fB-aAcdDeEilLmPRuw\fR]
-.fi
-
-.LP
-.nf
-\fBiiadm\fR [\fB-C\fR] \fIcluster_tag\fR [\fIoptions\fR]
-.fi
-
-.SH DESCRIPTION
-.LP
-Point-in-Time Copy software is a point-in-time snapshot feature of the Solaris
-operating system.
-.sp
-.LP
-A Point-in-Time Copy snapshot is an instantly-available, time-fixed, replicated
-view of a momentarily quiesced volume. Once a snapshot is taken, Point-in-Time
-Copy software allows immediate read/write access to both the master and shadow
-volume data.
-.sp
-.LP
-Point-in-Time Copy software tracks the differences between the master and
-shadow volumes (caused by writes) from the moment that the snapshot was
-established. This capability allows applications accessing the master volume's
-data to move forward in time independently of applications accessing the shadow
-volume's data, and vice-versa.
-.sp
-.LP
-The Point-in-Time Copy software's tracking of differences between the master
-and shadow volumes facilitates a fast resynchronization or a full copy at a
-later time. The volume resynchronization can occur from either shadow to master
-or master to shadow.
-.sp
-.LP
-Instantly after the point-in-time is (re-)established (either when the CLI
-prompt returns or the next shell script command is read), the master volume can
-be remounted or the applications using them can be resumed. Also, the shadow
-volume can be mounted and immediately accessed.
-.sp
-.LP
-The \fBiiadm\fR command line utility performs only one action per command
-invocation. Because of this, you cannot combine multiple options, except in
-combination with the following overall command modifiers:
-.RS +4
-.TP
-.ie t \(bu
-.el o
-If no action item is entered, \fBiiadm\fR displays the list of Point-in-Time
-Copy sets (non-suspended) currently configured. If more than one action item,
-or an incorrectly specified action item is entered, \fBiiadm\fR displays the
-specific error message to stderr, followed by a brief usage summary.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-For the Point-in-Time Copy options ENABLE (\fB-e\fR), COPY (\fB-c\fR) and
-UPDATE (\fB-u\fR), there are two associated shadow volume selection qualifiers,
-\fB{ind|dep}\fR, that are used to specify the type of Point-in-Time Copy volume
-set to create.
-.RE
-.sp
-.LP
-An independent (\fBind\fR) snapshot causes Point-in-Time Copy software to
-perform a full volume copy operation from the master to the shadow. When the
-copy completes, the shadow volume data is identical to the master volume data
-at the moment that it was established. Create an independent shadow if you
-require two physical copies of the data. An independent shadow volume must be
-the same size or greater than the size of the master volume. Sun recommends
-that the master and shadow volumes be the same size for environments where
-resynchronization from shadow to master is a consideration.
-.sp
-.LP
-A dependent (\fBdep\fR) snapshot causes Point-in-Time Copy software not to
-perform a full volume copy. The resulting shadow volume relies on the master
-volume for all unmodified data blocks, which are not copied until requested.
-Create a dependent shadow when you do not require two physical copies of the
-data. A dependent shadow volume can be either the same size or smaller than the
-master volume. A smaller shadow volume is called a \fBCompact Dependent Shadow
-Volume\fR, and is typically used when the amount of change that occurs to a
-Point-in-Time Copy volume set is small compared to the entire size of the
-master volume.
-.sp
-.LP
-The following syntax allows you to create an exportable independent shadow
-volume in a Sun Cluster environment:
-.sp
-.in +2
-.nf
-# iiadm -ne ind master shadow bitmap
-.fi
-.in -2
-.sp
-
-.sp
-.LP
-An issue arises when using a Compact Dependent Shadow Volume in that its size
-is established at the time that the Point-in-Time Copy volume set is enabled.
-If the amount of change to the entire volume set over the duration of its usage
-exceeds the space allocated for the shadow volume, the shadow volume is marked
-as out of space. It is possible to read from the shadow volume even after it is
-out of space, until a portion of the data for which there was no room is
-requested. Once that happens, the read fails and the shadow volume is marked
-offline.
-.sp
-.LP
-To address this issue, Point-in-Time Copy supports the ability to associate an
-\fBoverflow\fR volume to an existing Point-in-Time Copy dependent volume set.
-Thus, if the size of the Compact Dependent Shadow Volume is too small, or an
-unscheduled amount of change occurs to the volume set, changed data can be
-redirected to the associated overflow volume. To facilitate efficient usage of
-this overflow volume, it can be associated with multiple Point-in-Time Copy
-volume sets on an as-needed basis.
-.SS "Considerations"
-.LP
-Prior to invoking an Point-in-Time Copy \fBenable\fR, \fBcopy\fR or
-\fBupdate\fR operation, Point-in-Time Copy assures that the shadow volume is
-not mounted, to prevent a file system panic from occurring. Also, it is
-suggested that you either unmount or suspend (quiesce) all applications using
-the master volume, for only the instant when the point-in-time snapshot is
-taken. This assures that an atomically consistent point-in-time snapshot is
-taken.
-.sp
-.LP
-It is suggested that, if the master volume was suspended rather than unmounted,
-the new point-in-time shadow volume's integrity be validated using volume
-validation utilities, such as \fBfsck\fR(1M). The reason is that Point-in-Time
-Copy has made a point-in-time copy of a \fBmounted\fR master volume to an
-\fBunmounted\fR shadow volume. During the mounting of the shadow volume, the
-file system detects that it is in the \fBmounted\fR state. Typically this state
-occurs only when a system crashes, so the file system attempts to validate the
-integrity of the volume assuming a system failure occurred, not an
-Point-in-Time Copy.
-.SS "ENVIRONMENT OPTIONS"
-.LP
-The \fBii_bitmap\fR variable in the \fB/usr/kernel/drv/ii.conf\fR configuration
-file determines the bitmap volume operational semantics as follows:
-.sp
-.ne 2
-.na
-\fB\fB0\fR\fR
-.ad
-.RS 13n
-Indicates that the bitmap is maintained in memory only or resume operation.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB1\fR\fR
-.ad
-.RS 13n
-Indicates that the bitmap is maintained in memory and on disk. This is the
-default value.
-.RE
-
-.sp
-.LP
-If a system failure occurs while using \fBii_bitmap=0\fR, the shadow volume
-might be inconsistent and fast resynchronization would not be possible.
-.sp
-.LP
-If Point-in-Time Copy is used in conjunction with the Network Storage component
-Remote Mirror or in a Sun Cluster, set \fBii_bitmap=1\fR.
-.sp
-.LP
-The \fBii_debug\fR variable in the \fB/usr/kernel/drv/ii.conf\fR configuration
-file determines the amount of information logging that is output to the system
-console \fB/dev/console\fR during Point-in-Time Copy processing.
-.sp
-.ne 2
-.na
-\fB\fB0\fR\fR
-.ad
-.RS 13n
-Indicates that no logging is sent to the system console.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB1\fR\fR
-.ad
-.RS 13n
-Indicates that informational logging is sent to the system console.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB2\fR\fR
-.ad
-.RS 13n
-Indicates that developmental logging is sent to the system console.
-.RE
-
-.SH OPTIONS
-.LP
-The \fBiiadm\fR utility supports the following options.
-.sp
-.ne 2
-.na
-\fB\fB-e\fR\fB{ind|dep}\fR \fImaster_vol shadow_vol bitmap_vol\fR\fR
-.ad
-.sp .6
-.RS 4n
-Enable Point-in-Time Copy for the specified master, shadow, and bitmap volumes.
-.sp
-The enable shadow set processing assures that the specified volumes are
-accessible, that the \fIshadow_vol\fR is not mounted, and that the
-\fIbitmap_vol\fR is correctly sized for the type of shadow set being created.
-Additionally, it assures that the volumes are under control of the SV driver (
-if they are not, it puts them there), initializes the bitmap volume, and, if
-the volume set is an independent shadow set, a full copy operation is
-initiated.
-.sp
-On a successful enable, Point-in-Time Copy stores the specified
-\fImaster_vol\fR, \fIshadow_vol\fR and \fIbitmap_vol\fR names, plus the
-enabling type (\fBind\fR or \fBdep\fR), into the Point-in-Time Copy
-configuration store. The configuration store contains all currently configured
-Point-in-Time Copy Volume Sets and their associated configuration attributes.
-(See discussion above on independent and dependent shadow volume semantics.)
-.sp
-\fImaster_vol\fR is the volume from which a point-in-time snapshot is made.
-.sp
-\fIshadow_vol\fR is the volume that contains the point-in-time snapshot.
-.sp
-\fIbitmap_vol\fR is used for tracking differences between the shadow and master
-volumes. When Point-in-Time Copy shadow operations are suspended or resumed,
-the bitmap volume (maintained in kernel memory) can be stored in or retrieved
-from permanent storage. The storage associated with the bitmap volume should be
-as redundant as that of the shadow volume storage.
-.sp
-The \fIshadow_vol\fR name is the name that the Point-in-Time Copy Shadow Set is
-known by for all \fBiiadm\fR options requiring specification of a
-\fIvolume_set\fR name.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-d\fR \fIvolume_set\fR\fR
-.ad
-.sp .6
-.RS 4n
-Disable the Point-in-Time Copy volume set associated with the specified
-\fIvolume_set\fR.
-.sp
-If Point-in-Time Copy was running in \fBindependent\fR mode as specified in the
-\fB-e\fR \fBind\fR options, above, the shadow volume data contains the same
-data as it did before it was disabled (assuming no writes have occurred). Users
-can access the master and shadow volumes, as they are now standalone
-point-in-time copies.
-.sp
-During the time that the full copy is active, an \fBindependent\fR volume
-operates as though it is a \fBdependent\fR volume. To assure that the volume is
-no longer in full copy mode, issue the following command to wait for the full
-copy to complete:
-.sp
-.in +2
-.nf
-# iiadm -w \fIvolume_set\fR
-.fi
-.in -2
-.sp
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB[\fB-p\fR] \fB-u\fR \fBs\fR \fIvolume_set\fR\fR
-.ad
-.sp .6
-.RS 4n
-Update the shadow volume from the master.
-.sp
-Updates a point-in-time copy of the master volume to the shadow volume.
-\fIvolume_set\fR is the Point-in-Time Copy shadow set containing the master and
-shadow volumes. This option provides a fast resynchronization of the shadow
-volume, creating an incremental copy of the master. This update copies all 32KB
-segments flagged as different between the master and shadow volumes. It does
-not copy all master volume data, only changed data. While the data is being
-copied, the shadow is dependent upon the master volume.
-.sp
-Before using this option, momentarily quiesce the workload to the volumes; stop
-the host application from writing to the volumes. This ensures that the
-point-in-time data is consistent. You can visually check the status of this
-copy or update operation with \fBiiadm\fR \fB-i\fR \fIvolume_set\fR, or
-interactively (by means of a shell or script) with \fBiiadm\fR \fB-w\fR
-\fIvolume_set\fR, before using the target volume for any other operations.
-.sp
-This command supports PID (Process IDentifier) locking, by using the option
-\fB-p\fR, \fBiiadm\fR \fB-p\fR \fB-u\fR \fBs\fR. Enabling this option prevents
-other processes from taking a new point-in-time snapshot, thus invalidating
-prior point-in-time data.
-.RE
-
-.sp
-.ne 2
-.na
-\fB[\fB-p\fR] [\fB-n\fR] \fB-u\fR \fBm\fR \fIvolume_set\fR\fR
-.ad
-.sp .6
-.RS 4n
-Updates a point-in-time copy of the master volume from the shadow.
-\fIvolume_set\fR is the Point-in-Time Copy volume set containing the master and
-shadow. This option provides a fast resynchronization of the master volume,
-creating an incremental copy of the shadow. This update copies all 32KB
-segments flagged as different between the master and shadow volumes. It does
-not copy all shadow volume data, only changed data. While the data is being
-copied, the master is dependent upon the shadow volume.
-.sp
-Before using this option, momentarily quiesce the workload to the volumes; stop
-the host application from writing to the volumes. This ensures that the
-point-in-time data is consistent. You can visually check the status of this
-copy or update operation with \fBiiadm\fR \fB-i\fR \fIvolume_set\fR, or
-interactively (by means of a shell or script) with \fBiiadm\fR \fB-w\fR
-\fIvolume_set\fR, before using the target volume for any other operations.
-.sp
-This command is query enabled to prevent accidentally overwriting the data on a
-master volume. When this command option is used in scripts, add the \fB-n\fR
-option to prevent the query from occurring.
-.sp
-This command supports PID (Process IDentifier) locking, by using the option
-\fB-p\fR, \fBiiadm\fR \fB-p\fR \fB-u\fR \fBm\fR. Enabling this option prevents
-other processes from taking a new point-in-time snapshot, thus invalidating
-prior point-in-time data.
-.RE
-
-.sp
-.ne 2
-.na
-\fB[\fB-p\fR] \fB-c\fR s \fIvolume_set\fR\fR
-.ad
-.sp .6
-.RS 4n
-Copy the master volume to the shadow.
-.sp
-Creates a point-in-time copy of the master volume to the shadow volume.
-\fIvolume_set\fR is the Point-in-Time Copy volume set containing the master and
-shadow. This option writes all data in the point-in-time copy of the master
-volume to the shadow volume. While the data is being copied from master to
-shadow, the shadow is dependent on the master volume.
-.sp
-This option performs a full volume copy. Use \fBiiadm\fR \fB-u\fR \fBs\fR
-unless the integrity of the data on the independent shadow volume is in doubt.
-Otherwise, use this option to synchronize the master and shadow volumes; that
-is, make the data on each volume match.
-.sp
-Before using this option, momentarily quiesce the workload to the volumes; stop
-the host application from writing to the volumes. This ensures that the
-point-in-time data is consistent. You can visually check the status of this
-copy or update operation with \fBiiadm\fR \fB-i\fR \fIvolume_set\fR, or
-interactively (by means of a shell or script) with \fBiiadm\fR \fB-w\fR
-\fIvolume_set\fR, before using the target volume for any other operations.
-.sp
-This command supports PID (Process IDentifier) locking, by using the \fB-p\fR
-option, \fBiiadm\fR \fB-p\fR \fB-c\fR \fBs\fR. Enabling this option prevents
-other processes from taking a new point-in-time snapshot, thus invalidating
-prior point-in-time data.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-c\fR \fBm\fR \fIvolume_set\fR\fR
-.ad
-.sp .6
-.RS 4n
-Copy the shadow volume to the master.
-.sp
-Creates a point-in-time copy of the shadow volume to the master volume.
-\fIvolume_set\fR is the Point-in-Time Copy volume set containing the master and
-shadow volumes. This option writes all data in the point-in-time copy of the
-shadow volume to the master volume. While the data is being copied from the
-shadow to the master, the master is dependent upon the shadow volume.
-.sp
-This option performs a full volume copy. Use \fBiiadm\fR \fB-u\fR \fBm\fR
-unless the integrity of the data on the independent master is in doubt.
-Otherwise, use this option to synchronize the master and shadow volumes; that
-is, make the data on each volume match.
-.sp
-Before using this option, momentarily quiesce the workload to the volumes; stop
-the host application from writing to the volumes. This ensures that the
-point-in-time data is consistent. You can visually check the status of this
-copy or update operation with \fBiiadm\fR \fB-i\fR \fIvolume_set\fR, or
-interactively (by means of a shell or script) with \fBiiadm\fR \fB-w\fR
-\fIvolume_set\fR, before using the target volume for any other operations.
-.sp
-This command is query-enabled to prevent accidentally overwriting the data on a
-master volume. When this command option is used in scripts, add the \fB-n\fR
-option to prevent the query from occurring.
-.sp
-This command supports PID (Process IDentifier) locking, by using the \fB-p\fR
-option, \fBiiadm\fR \fB-p\fR \fB-c\fR \fBm\fR. Enabling this option prevents
-other processes from taking a new point-in-time snapshot, thus invalidating
-prior point-in-time data.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-a\fR \fIvolume_set\fR\fR
-.ad
-.sp .6
-.RS 4n
-Abort any current copy operation that might be active between the master and
-shadow volumes. \fIvolume_set\fR is the Point-in-Time Copy volume set
-containing the master and shadow volumes. After executing \fBiiadm\fR \fB-a\fR,
-the update or copy to the target (master or shadow) volume is incomplete. The
-target volume is now a dependent copy of the source volume. Reissue the update
-or copy command option to resynchronize the volumes.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB[\fR\fB-p\fR\fB] [\fR\fB-n\fR\fB] \fR\fB-w\fR \fIvolume_set\fR\fR
-.ad
-.sp .6
-.RS 4n
-Wait until any in-progress copy or update operation completes or is aborted.
-\fIvolume_set\fR is the Point-in-Time Copy volume set containing the master and
-shadow volumes.
-.sp
-This option waits until the current Point-in-Time Copy operation is complete,
-thus preventing a subsequent \fBiiadm\fR command (from a shell or script) from
-executing. Use this command option when you need to be sure the copy or update
-operation has completed.
-.sp
-This command supports PID (Process IDentifier) unlocking. If a prior copy or
-update, using a command \fBiiadm\fR \fB-p\fR \fB{\fR\fB-c\fR\fB|\fR\fB-u\fR\fB}
-{m|s}\fR, was invoked with the \fB-p\fR option, upon completion of the wait
-processing, if the current PID was the PID that locked the point-in-time data,
-this option unlocks the data.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-i\fR \fIvolume_set\fR\fR
-.ad
-.sp .6
-.RS 4n
-Display status for the Point-in-Time Copy currently-enabled or -suspended
-volume set. \fIvolume_set\fR is the Point-in-Time Copy volume set containing
-the master and shadow volumes. If no \fIvolume_set\fR is specified, status is
-displayed for all Point-in-Time Copy volume sets that are configured.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-l\fR\fR
-.ad
-.sp .6
-.RS 4n
-List all currently configured Point-in-Time Copy volumes.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-O\fR \fIoverflow_vol\fR\fR
-.ad
-.sp .6
-.RS 4n
-This option causes Point-in-Time Copy to initialize the specified
-\fIoverflow_vol\fR for subsequent use as an overflow volume in conjunction with
-Compact Dependent Shadow Volumes. To facilitate efficient, shared usage of this
-overflow volume, it can be associated with multiple Point-in-Time Copy volume
-sets on an as-needed basis.
-.sp
-During initialization of the \fIoverflow_vol\fR, the initiator of this option,
-must answer the following question: "Initialize this overflow volume? yes/no" A
-response of either "yes/no" is required before proceeding.
-.sp
-This option supports the \fB-n\fR option, so that the requested action is
-performed without prompting. This option is useful for inclusion in a script.
-The \fB-n\fR option must be specified first. For example, "\fBiiadm\fR
-\fB-nO\fR \fBvol\fR" is valid; "\fBiiadm\fR \fB-On\fR \fBvol\fR" is not.
-.sp
-Make sure you want to initialize the data on the specified \fIoverflow_vol\fR,
-especially when using the \fB-n\fR option.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-A\fR \fIoverflow_vol\fR \fIvolume_set\fR\fR
-.ad
-.sp .6
-.RS 4n
-This option enables the specified \fIoverflow_vol\fR, for subsequent use as an
-overflow volume in a situation where the size of the Compact Dependent Shadow
-Volume is too small, or an unscheduled amount of change occurs to the volume
-set. Overflow changed data would be redirected to the associated overflow
-volume. \fIvolume_set\fR is the Point-in-Time Copy volume set containing the
-master and shadow volumes.
-.sp
-If the \fIoverflow_vol\fR has not been initialized, this option initializes the
-\fIoverflow_vol\fR (see \fB-O\fR option), then attaches the \fIoverflow_vol\fR
-to the \fIvolume_set\fR.
-.sp
-If \fIoverflow_vol\fR was previously initialized, this option attaches the
-\fIoverflow_vol\fR to the \fIvolume_set\fR.
-.sp
-This option supports the \fB-n\fR option, so that the requested action is
-performed without prompting. This option is useful for inclusion in a script.
-The \fB-n\fR option must be specified first. For example, "\fBiiadm\fR
-\fB-nA\fR \fBvol\fR" is valid; "\fBiiadm\fR \fB-An\fR \fBvol\fR" is not.
-.sp
-Make sure you want to initialize the data on the specified \fIoverflow_vol\fR,
-especially when using the \fB-n\fR option.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-D\fR \fIvolume_set\fR\fR
-.ad
-.sp .6
-.RS 4n
-This option removes the overflow volume currently associated with the specified
-\fIvolume_set\fR. If the overflow volume is currently in use by the
-\fIvolume_set\fR, this operation fails with an "Overflow volume still in use"
-error message. To resolve this situation, perform one of the operations
-described below on the \fIvolume_set\fR. These operations momentarily clear out
-all overflow writes that are associated with this volume set.
-.sp
-.ne 2
-.na
-\fB\fBabort\fR(\fB-a\fR)\fR
-.ad
-.sp .6
-.RS 4n
-Abort copy operation.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBdisable\fR(\fB-d\fR)\fR
-.ad
-.sp .6
-.RS 4n
-Dissolve the volume set.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBupdate\fR(\fB-u\fR)\fR
-.ad
-.sp .6
-.RS 4n
-Update the volume set.
-.RE
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-L\fR\fR
-.ad
-.sp .6
-.RS 4n
-This option lists all overflow volumes which are associated with one or more
-volume sets.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-Q\fR \fIoverflow_vol\fR\fR
-.ad
-.sp .6
-.RS 4n
-This option displays the current status of the \fIoverflow_vol\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-E\fR \fIvolume_set\fR\fR
-.ad
-.sp .6
-.RS 4n
-Export the independent shadow volume of the Point-in-Time Copy volume set
-specified by \fIvolume_set\fR. The shadow volume is to be made available to
-another host for read/write access, by means of an enabling technology, such as
-multi-ported devices. This other host is responsible for maintaining a bitmap
-of differences that is used to merge with locally recorded differences to the
-master when the shadow volume is rejoined to its master volume. While a shadow
-volume is exported it must not be subject to an update or copy operation.
-Perform an \fBiiadm\fR \fB-w\fR \fIvolume_set\fR command prior to invoking an
-export command.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-I\fR \fIvolume_set\fR \fIbitmap_vol\fR\fR
-.ad
-.sp .6
-.RS 4n
-Import the independent shadow volume of the Point-in-Time Copy volume set
-specified by \fIvolume_set\fR. The shadow volume must have been previously
-exported from a host by means of an enabling technology, such as multi-ported
-devices. The import operation causes this host to start maintaining a bitmap of
-differences as the volume is modified. The \fIbitmap_vol\fR should not be the
-same as that used when the shadow volume was originally formed into a shadow
-group.
-.sp
-After the exported/imported independent shadow volume is no longer needed by
-the other node, you must enter a disable command so that the \fIbitmap_vol\fR
-and its associated \fIshadow_vol\fR are consistent, prior to performing a join
-operation. For example,
-.sp
-.in +2
-.nf
-# iiadm -d \fIvolume_set\fR
-.fi
-.in -2
-.sp
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-J\fR \fIvolume_set\fR \fIbitmap_vol\fR\fR
-.ad
-.sp .6
-.RS 4n
-Join the \fIvolume_set\fR, using the \fIbitmap_vol\fR, with the master volume
-set of the Point-in-Time Copy volume set. The bitmap volume supplied is read
-and merged with the original volume to reconstruct the original volume set
-consisting of the master, shadow, and bitmap volumes. The \fIbitmap_vol\fR to
-be merged is the one obtained on the node that had imported the independent
-shadow volume. There must be no write activity to the shadow volume on the
-importing machine from the time the bitmap is copied over until the shadow is
-once again imported.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-g\fR \fIgroup_name\fR \fB-m\fR \fIvolume_set [volume_set2 ...]\fR\fR
-.ad
-.sp .6
-.RS 4n
-Add one or more existing Point-in-Time Copy \fIvolume_set(s)\fR into a user
-specified \fIgroup_name\fR. This association of one or more Point-in-Time Copy
-volume sets in a group allows the list of \fBiiadm\fR options shown below to be
-performed on all volume sets within the \fIgroup_name\fR as a whole.
-.sp
-Only the commands \fBCOPY\fR (\fB-c\fR) and \fBUPDATE\fR (\fB-u\fR) are
-performed atomically across all Point-in-Time Copy sets within the group. All
-other grouped, \fBiiadm\fR commands are performed sequentially on each member
-of the group.
-.sp
-The syntax of an \fBiiadm\fR group command is as follows:
-.sp
-.in +2
-.nf
-iiadm -g \fIgroup_name\fR [\fIoptions\fR]
-.fi
-.in -2
-.sp
-
-The \fIoptions\fR are as follows:
-.sp
-.ne 2
-.na
-\fB\fB-a\fR\fR
-.ad
-.sp .6
-.RS 4n
-Abort copy operation on all sets within \fIgroup_name\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-A\fR\fR
-.ad
-.sp .6
-.RS 4n
-Attach \fIoverflow_vol\fR to all sets within \fIgroup_name\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-c\fR \fB{s | m}\fR\fR
-.ad
-.sp .6
-.RS 4n
-Copy shadow/master for all sets within \fIgroup_name\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-D\fR\fR
-.ad
-.sp .6
-.RS 4n
-Detach \fIoverflow_vol\fR from all sets within \fIgroup_name\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-d\fR\fR
-.ad
-.sp .6
-.RS 4n
-Disable all sets within \fIgroup_name\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-E\fR\fR
-.ad
-.sp .6
-.RS 4n
-Export all volume sets within \fIgroup_name\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-i\fR\fR
-.ad
-.sp .6
-.RS 4n
-Status of all volume sets within \fIgroup_name\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-l\fR\fR
-.ad
-.sp .6
-.RS 4n
-List all volume sets within \fIgroup_name\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-L\fR\fR
-.ad
-.sp .6
-.RS 4n
-List all groups.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-n\fR\fR
-.ad
-.sp .6
-.RS 4n
-Do not ask if an update of the master volume is what the user really intended.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-P\fR\fR
-.ad
-.sp .6
-.RS 4n
-Set parameters on all volume sets within \fIgroup_name\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-R\fR\fR
-.ad
-.sp .6
-.RS 4n
-Reset all volume sets within \fIgroup_name\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-u\fR \fB{s | m}\fR\fR
-.ad
-.sp .6
-.RS 4n
-Update shadow/master for all sets within \fIgroup_name\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-w\fR\fR
-.ad
-.sp .6
-.RS 4n
-Wait for all volume sets within \fIgroup_name\fR.
-.RE
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-g\fR \fB""\fR \fB-m\fR \fIvolume_set\fR [\fIvolume_set2 ...\fR]\fR
-.ad
-.sp .6
-.RS 4n
-Remove one or more existing Point-in-Time Copy \fIvolume_set(s)\fR from their
-currently associated \fIgroup_name\fR. By default, or until moved into a user
-specified \fIgroup_name\fR, all Point-in-Time Copy \fIvolume_set(s)\fR are in
-the blank (\fB" "\fR) group. This association allows all the previously
-documented \fBiiadm\fR group commands to be performed against the blank (\fB"
-"\fR) \fBiiadm\fR \fIgroup_name\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-C\fR \fIcluster_tag\fR\fR
-.ad
-.sp .6
-.RS 4n
-This Point-in-Time Copy option is a modifier that limits configuration
-operations to only those volumes belonging to a Sun Cluster Resource Group, or
-Disk Group.
-.sp
-In a Sun Cluster where the volume manager is Sun Cluster-aware, \fBiiadm\fR
-automatically obtains the correct Disk Group information, therefore this option
-is typically not required unless the volumes are part of an encompassing
-Resource Group.
-.sp
-In a Sun Cluster where the volumes are accessible on the local node only, the
-special \fIcluster_tag\fR of \fBlocal\fR is used to indicate volumes that are
-not part of a Sun Cluster Resource Group or Disk Group.
-.sp
-If "\fB-L\fR" is given as a the \fIcluster_tag\fR argument, then \fBiiadm\fR
-lists all cluster tags associated with Point-in-Time Copy.
-.sp
-This option is invalid when used on a Solaris system on which the Sun Cluster
-package has not been installed or configured.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-h\fR\fR
-.ad
-.sp .6
-.RS 4n
-Prints the \fBiiadm\fR usage summary.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-v\fR\fR
-.ad
-.sp .6
-.RS 4n
-Display the current version of the Point-in-Time Copy software components.
-.RE
-
-.sp
-.LP
-Contact Sun Enterprise Services for assistance in using the remaining commands
-in this section.
-.sp
-.ne 2
-.na
-\fB\fB-P\fR \fIdelay\fR \fIunit\fR \fIvolume_set\fR\fR
-.ad
-.sp .6
-.RS 4n
-Alter the Point-in-Time Copy volume set tuning parameters for the specified
-\fIvolume_set\fR to \fIdelay\fR ticks, every \fIunit\fR I/O's. Delay ranges
-from 2 to 10000 inclusive; unit ranges from 100 to 60000 inclusive.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-R\fR \fIvolume\fR\fR
-.ad
-.sp .6
-.RS 4n
-After a volume has failed, Point-in-Time Copy places it offline. After
-replacing the volume, place it back online using this option. Associated
-dependent volumes in the Point-in-Time Copy volume set are also placed online.
-After the volume is placed online, this command also starts any necessary
-point-in-time volume updates.
-.RE
-
-.SH EXIT STATUS
-.ne 2
-.na
-\fB\fB0\fR\fR
-.ad
-.RS 13n
-Command completed successfully.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB>0\fR\fR
-.ad
-.RS 13n
-An error occurred.
-.RE
-
-.SH ATTRIBUTES
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Evolving
-.TE
-
-.SH SEE ALSO
-.LP
-\fBdscfg\fR(1M), \fBsvadm\fR(1M), \fBds.log\fR(4), \fBrdc.cf\fR(4),
-\fBattributes\fR(5), \fBii\fR(7D), \fBsv\fR(7D)