--- old/usr/src/man/man1m/scmadm.1m	Fri Jul 27 15:35:48 2018
+++ /dev/null	Fri Jul 27 15:07:21 2018
@@ -1,203 +0,0 @@
-'\" te
-.\" Copyright (c) 2007, Sun Microsystems, Inc.  All rights reserved.
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
-.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH SCMADM 1M "Aug 3, 2006"
-.SH NAME
-scmadm \- storage cache manager administration utility
-.SH SYNOPSIS
-.LP
-.nf
-\fBscmadm\fR
-.fi
-
-.LP
-.nf
-\fBscmadm\fR \fB-h\fR
-.fi
-
-.LP
-.nf
-\fBscmadm\fR \fB-e\fR
-.fi
-
-.LP
-.nf
-\fBscmadm\fR \fB-d\fR
-.fi
-
-.LP
-.nf
-\fBscmadm\fR \fB-v\fR
-.fi
-
-.LP
-.nf
-\fBscmadm\fR \fB-C\fR [\fIparameter\fR [= [\fIvalue\fR]]...]
-.fi
-
-.LP
-.nf
-\fBscmadm\fR \fB-o\fR {system | \fIcd\fR | \fIdevice\fR} [\fIoption\fR]
-.fi
-
-.LP
-.nf
-\fBscmadm\fR \fB-m\fR {\fIcd\fR |  \fIdiskname\fR |  all}
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBscmadm\fR command provides various options for controlling and gathering
-information about a storage device cache.
-.SH OPTIONS
-.sp
-.LP
-If no options are specified, \fBscmadm\fR displays a list of configured cache
-descriptors with disknames, options, and global options. The \fBscmadm\fR
-command supports the following options:
-.sp
-.ne 2
-.na
-\fB\fB-h\fR\fR
-.ad
-.sp .6
-.RS 4n
-Displays usage information for the \fBscmadm\fR command.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-e\fR\fR
-.ad
-.sp .6
-.RS 4n
-Reads the configuration and enables the storage device cache with those
-parameters. See \fBdscfg\fR(1M).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-d\fR\fR
-.ad
-.sp .6
-.RS 4n
-Shuts down the storage device cache.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-v\fR\fR
-.ad
-.sp .6
-.RS 4n
-Displays the cache version number.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-C\fR [\fIparameter\fR[=[\fIvalue\fR]] ...]\fR
-.ad
-.sp .6
-.RS 4n
-Sets or displays the configuration parameters. If the \fB-C\fR option is
-specified with no arguments the current cache configuration parameters are
-displayed. If \fIparameter\fR is specified, the current value of
-\fIparameter\fR is displayed. If \fIparameter=value\fR is specified, the
-current value of \fIparameter\fR is displayed and the parameter is changed to
-\fIvalue\fR.  If \fIvalue\fR is omitted, or if \fIvalue\fR is specified as the
-null string, " ", or as "-", the parameter is deleted from the configuration
-and the system uses the default value. Multiple parameters can be specified in
-a single invocation of the \fBscmadm\fR command. A change in a configuration
-parameter takes effect only when the cache is next restarted.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-o\fR { \fBsystem\fR | \fBcd\fR | \fIdiskname\fR } [\fIoption\fR]\fR
-.ad
-.sp .6
-.RS 4n
-Sets or displays the options for the system or for the cache device specified
-by \fBcd\fR or \fIdiskname\fR. If the \fIoption\fR \fBrdcache\fR or
-\fBnordcache\fR is specified, the system or specified cache device is set to
-that option. The option is saved as part of the configuration so that the
-option persists. See \fBdscfg\fR(1M). To notify the system to "forget" about a
-saved option, use the \fBforget\fR option. This does not change the option; it
-just removes the option from the saved configuration. If no option is
-specified, current options are displayed. The \fBrdcache\fR option is set as
-the default. The \fIoption\fRs are defined as follows:
-.sp
-.ne 2
-.na
-\fB\fBrdcache\fR\fR
-.ad
-.sp .6
-.RS 4n
-Data blocks are likely to be referenced again and should remain in cache.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBnordcache\fR\fR
-.ad
-.sp .6
-.RS 4n
-Data blocks are unlikely to be referenced again and should be treated as least
-recently used, so that other blocks can remain in the cache longer.
-.RE
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-m\fR { \fBcd\fR | \fIdiskname\fR | \fBall\fR }\fR
-.ad
-.sp .6
-.RS 4n
-Displays the cache descriptor and diskname map for the device specified by
-\fBcd\fR or \fIdiskname\fR or, if you specify \fBall\fR, displays the cache
-descriptors and diskname map for all storage devices on the system.
-.RE
-
-.SH EXIT STATUS
-.sp
-.LP
-The \fBscmadm\fR command returns 0 for success, non-zero for error.
-.SH FILES
-.sp
-.LP
-\fB/dev/sdbc\fR
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Evolving
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBdscfg\fR(1M), \fBattributes\fR(5)
-.SH DIAGNOSTICS
-.sp
-.LP
-\fBscmadm\fR fails if there is insufficient contiguous memory.