--- old/usr/src/man/man1m/sndradm.1m	Fri Jul 27 15:35:48 2018
+++ /dev/null	Fri Jul 27 15:07:21 2018
@@ -1,1043 +0,0 @@
-'\" te
-.\"  Copyright (c) 2007, Sun Microsystems, Inc. All rights reserved.
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
-.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH SNDRADM 1M "Oct 2, 2007"
-.SH NAME
-sndradm \- control Sun StorageTek Availability Suite Remote Mirror operations
-.SH SYNOPSIS
-.LP
-.nf
-\fBsndradm\fR \fB-I\fR a \fImaster\fR \fIshadow\fR \fIbitmap\fR
-.fi
-
-.LP
-.nf
-\fBsndradm\fR \fB-I\fR d \fImaster\fR \fIshadow\fR \fIbitmap\fR
-.fi
-
-.LP
-.nf
-\fBsndradm\fR \fB-h\fR \fIusage message\fR
-.fi
-
-.LP
-.nf
-\fBsndradm\fR \fB-v\fR \fIversion information\fR
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-e\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-E\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-d\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-D\fR block [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-D\fR noblock [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-l\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-m\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-m\fR \fB-r\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-u\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-u\fR \fB-r\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-w\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-H\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-p\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-P\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-q\fR a \fIvolume\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-q\fR d [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-q\fR r \fIvolume\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-i\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-a\fR \fIvalue\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-A\fR \fIvalue\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-F\fR \fIvalue\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-W\fR \fIvalue\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-R\fR
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-R\fR b p \fIbitmap\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-R\fR b s \fIbitmap\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-R\fR C \fItag\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-R\fR g \fIio_groupname\fR [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-R\fR m sync [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-R\fR m async [\fIsndr_set\fR]
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-R\fR \fB-f\fR \fIvolset-file\fR
-.fi
-
-.LP
-.nf
-\fBsndradm\fR [\fIoptions\fR] \fB-R\fR r [\fIsndr_set\fR] *
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fB/usr/sbin/sndradm\fR command is the administrative command line
-interface for the Sun StorageTek Availability Suite Remote Mirror software.
-Remote Mirror enables you to replicate disks between different
-physically-separate Sun servers in real time. Remote Mirror is conceptually
-similar to the local disk mirroring scheme of RAID 1 but it performs its
-replication operations over longer distances.
-.sp
-.LP
-If you do not specify a Remote Mirror set (\fIsndr_set\fR) on the command line,
-\fBsndradm\fR operates on all configured Remote Mirror sets.
-.sp
-.LP
-The \fBsndradm\fR command generates an entry in the Availability Suite log
-file, \fB/var/adm/ds.log\fR (see \fBds.log\fR(4)), for all operations except
-print (\fB-p\fR, \fB-P\fR and \fB-i\fR), help (\fB-h\fR), and version
-(\fB-v\fR).
-.SH OPTIONS
-.sp
-.LP
-The \fBsndradm\fR utility supports the following options:
-.sp
-.ne 2
-.na
-\fB\fB-f\fR \fIvolset-file\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies a file containing the \fIsndr_set\fR information for one or more
-Remote Mirror sets in the same format as the fully specified command line
-\fIsndr_set\fR documented below.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-g\fR \fIio_groupname\fR\fR
-.ad
-.sp .6
-.RS 4n
-Limits operations to only those Remote Mirror sets belonging to
-\fIio_groupname\fR.
-.sp
-The \fIio_groupname\fR for a given set must be consistent across both the
-primary and the secondary hosts.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-C\fR \fItag\fR\fR
-.ad
-.sp .6
-.RS 4n
-On a clustered node, limits operations to only those Remote Mirror sets
-belonging to the cluster resource group or disk group name specified by
-\fItag\fR. This option is not valid on a system that is not clustered.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-n\fR\fR
-.ad
-.sp .6
-.RS 4n
-Does not prompt the user after starting a Remote Mirror operation using
-\fBsndradm\fR. For all but the printing, help, and version options, the default
-behavior is to prompt for a response. For example, after starting a full
-synchronization from the primary to the secondary volume, Remote Mirror
-prompts: \fB"Overwrite secondary with primary? (Y/N) [N]"\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fIsndr_set\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the Remote Mirror set. For a set that has already been enabled, this
-can be a \fBset_name\fR in the format \fIshost\fR:\fIsdev\fR. You can supply a
-fully specified Remote Mirror set in the same format as a configuration file:
-.sp
-.in +2
-.nf
-\fIphost  pdev  pbitmap  shost  sdev  sbitmap\fR \fBip\fR {\fBsync | async\fR} \e
-[g \fIio_groupname\fR] [C \fItag\fR]
-.fi
-.in -2
-
-These parameters are described as follows:
-.sp
-.ne 2
-.na
-\fB\fIphost\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the server on which the primary volume resides.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fIpdev\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the primary volume partition to be replicated. Specify full pathnames
-only (for example, \fB/dev/rdsk/c0t1d0s2\fR).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fIpbitmap\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the volume partition on which the bitmap (scoreboard log) of the
-primary partition is stored. Specify full pathnames only (for example,
-\fB/dev/rdsk/c0t1d0s3\fR).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fIshost\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the server on which the secondary volume resides.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fIsdev\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the secondary volume partition. Specify full path names only (for
-example, \fB/dev/rdsk/c0t1d0s4\fR).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fIsbitmap\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the volume partition on which the bitmap (scoreboard log) of the
-secondary partition is stored. Specify full path names only (for example,
-\fB/dev/rdsk/c0t1d0s5\fR).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBip\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the network transfer protocol.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBsync | async\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the Remote Mirror operating mode. \fBsync\fR is the Remote Mirror
-mode where the I/O operation is not confirmed as complete until the remote
-volume has been updated. \fBasync\fR is the Remote Mirror mode where the
-primary host I/O operation is confirmed as complete before updating the remote
-volume.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fIio_groupname\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the name of the Remote Mirror consistency group to which the Remote
-Mirror set belongs. In asynchronous mode, write ordering must be preserved
-across all replicating volumes in a Remote Mirror consistency group. This
-ensures that the secondary volumes belonging to the group contains a valid
-point-in-time copy of the corresponding primary volumes.
-.sp
-When adding an existing set to a consistency group or when enabling a set to be
-in a group, the set must be configured with the same group name on both the
-primary and the secondary hosts.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fItag\fR\fR
-.ad
-.sp .6
-.RS 4n
-For operation within a cluster, this specifies the disk group name or resource
-tag of the local data and bitmap volumes in cases where this is not implied by
-the name of the volume (for example, \fB/dev/rdsk/md/dg/vol\fR and
-\fB/dev/vx/rdsk/dg/vol\fR both indicate a disk group name of \fBdg\fR). It is
-the responsibility of the user to ensure that the cluster tag specified to the
-Remote Mirror matches the appropriate cluster resource group tag, and to keep
-all the Availability Suite services up to date in the event of cluster resource
-group reconfigurations. It is illegal to specify the cluster resource tag on a
-system that is not clustered.
-.RE
-
-.RE
-
-.SH PARAMETERS
-.sp
-.LP
-A valid \fBsndradm\fR command must specify one of the parameters listed below.
-.sp
-.ne 2
-.na
-\fB\fB-I\fR \fBa\fR \fImaster\fR \fIshadow\fR \fIbitmap\fR\fR
-.ad
-.sp .6
-.RS 4n
-Add an \fBndr_ii\fR entry with the specified master, shadow, and bitmap to the
-Availability Suite configuration file. See \fBsndrsyncd\fR(1M). If the
-corresponding Point-in-Time Copy set does not exist, it is enabled when the
-next \fBsync\fR command is issued on the related volume(s). When no longer
-required, this Point-in-Time Copy set can be disabled by \fBiiadm\fR \fB-d\fR.
-See \fBiiadm\fR(1M)
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-I\fR \fBd\fR \fImaster\fR \fB\fIshadow\fR\fR \fB\fIbitmap\fR\fR\fR
-.ad
-.sp .6
-.RS 4n
-Delete the \fBndr_ii\fR entry with the specified master, shadow, and bitmap
-from the Availability Suite configuration file. Use the \fBdscfg\fR command to
-list \fBndr_ii\fR configuration entries.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-a\fR \fIvalue\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the value, on or off, of the automatic sync variable for the set.
-Once \fBautosync\fR has been requested for a set, the functionality is active
-from the time a sync operation is requested until the set is manually put into
-logging mode. Once the set is manually put into logging mode, the
-\fBautosync\fR functionality is not active and remains inactive until the next
-time a \fBsync\fR request is made. To check whether \fBautosync\fR is active,
-use \fBsndradm\fR \fB-P\fR. To check whether autosync has been requested for a
-set, look for the"\fBauto=on;\fR" tag for the set in the output of \fBdscfg\fR
-\fB-l\fR. See \fBsndrsyncd\fR(1M).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-A\fR \fIvalue\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the maximum number of threads that can be created to process the
-asynchronous queue when a set is replicating in asynchronous mode. The default
-is \fB2\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-W\fR \fIvalue\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the maximum number of writes that can be queued to a set replicating
-in asynchronous mode. The default is \fB4096\fR. For example, set this value to
-1 to ensure that the secondary volume is never more than one write operation
-behind the primary volume.
-.sp
-Tuning the maximum number of writes is only valid for sets using memory-based
-async I/O queues. This value is ignored when disk based I/O queues are used.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-D\fR \fB{block\fR \fB|\fR \fBnoblock}\fR\fR
-.ad
-.sp .6
-.RS 4n
-Toggles the \fBblock\fR|\fBnoblock\fR attribute of a disk-based queue. The
-default setting is \fBblock\fR. If the I/O fill rate is larger than the drain
-rate for enough time for the queue to fill, incoming I/O is blocked until there
-is adequate space on the queue for it. This is to preserve write ordering
-whether it is one volume or across many volumes in the same consistency group.
-If \fBnoblock\fR is set, and incoming I/O fills the queue, the I/O is not
-blocked. Instead, the set is put into logging and the disk queue contents are
-disregarded. An ensuing update sync synchronizes the latest data to the
-secondary site.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-F\fR \fIvalue\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the maximum number of 512-byte FBAs that can be queued in kernel
-memory to a set replicating in asynchronous mode. The default is \fB16384\fR.
-.sp
-Tuning the maximum number of FBAs is valid only for sets using memory-based
-async I/O queues. This value isignored when disk-based I/O queues are used.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-h\fR\fR
-.ad
-.sp .6
-.RS 4n
-Prints the \fBsndradm\fR usage summary.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-v\fR\fR
-.ad
-.sp .6
-.RS 4n
-Prints the Remote Mirror version number.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-e\fR\fR
-.ad
-.sp .6
-.RS 4n
-Enables Remote Mirror for the set and enables scoreboard logging. The
-scoreboard is set to indicate that a full synchronization is required. Details
-of the set are saved in the current configuration. See \fBdscfg\fR(1M). The
-local volume and the bitmap volume are enabled for the Storage Volume driver
-(see \fBsv\fR(7D)).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-E\fR\fR
-.ad
-.sp .6
-.RS 4n
-Enables Remote Mirror for the set and enables scoreboard logging. The
-scoreboard is cleared to indicate that the primary and secondary volumes are
-already guaranteed to be fully synchronized. Details of the set are saved in
-the current configuration. See \fBdscfg\fR(1M). The local volume and the bitmap
-volume are enabled for the Storage Volume driver (see \fBsv\fR(7D)).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-d\fR\fR
-.ad
-.sp .6
-.RS 4n
-Disables Remote Mirror for the set and halts any current synchronization
-operations. \fBsndradm\fR \fB-d\fR also discards any active scoreboards that
-track temporary differences between primary and secondary volumes.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-l\fR\fR
-.ad
-.sp .6
-.RS 4n
-Stops Remote Mirror replication and copy operations between primary and
-secondary volumes and starts independent Remote Mirror scoreboard logging on
-these volumes. When all the sets in a consistency group are replicating, it
-means that the secondary volumes contain a valid point-in-time copy of the
-corresponding primary volumes. Under this condition, as soon as one Remote
-Mirror set drops into logging mode, the \fBrdc\fR kernel module drops all the
-other sets in the group into logging mode automatically. This ensures that the
-secondary volumes still contains a valid point-in-time copy. To resume the
-Remote Mirror after using the \fB-l\fR parameter, use the \fB-m\fR parameter to
-perform a full resynchronization or the \fB-u\fR parameter to perform an update
-resynchronization (based on the scoreboard).
-.sp
-This option does not work on the secondary for any volumes that are currently
-synchronizing.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-w\fR\fR
-.ad
-.sp .6
-.RS 4n
-Waits for a synchronization copy to complete or abort, or returns immediately
-if invoked on the secondary system.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-H\fR\fR
-.ad
-.sp .6
-.RS 4n
-Reports on the health of the network link used by the specified volume set. The
-health of the link is reported as active or inactive. Active means that the
-network link is actively being used for replicating or resynchronizing data,
-and is therefore in good health. Inactive means that the network link is not
-actively being used for replicating or resynchronizing data, which might
-indicate a problem with the link.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-p\fR\fR
-.ad
-.sp .6
-.RS 4n
-Displays a list of configured Remote Mirror volumes or sets.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-P\fR\fR
-.ad
-.sp .6
-.RS 4n
-Displays a list of configured Remote Mirror volumes or sets with extra details.
-(See state descriptions, below.)
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-q\fR \fBa\fR \fIvolume\fR\fR
-.ad
-.sp .6
-.RS 4n
-Add a disk queue to a set or group. This operation is valid when the set or
-group is in logging mode.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-q\fR \fBd\fR\fR
-.ad
-.sp .6
-.RS 4n
-Remove a disk queue from a set or group. This operation is valid when the set
-or group is in logging mode.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-q\fR \fBr\fR \fIvolume\fR\fR
-.ad
-.sp .6
-.RS 4n
-Replace a disk queue for a group or set. The queue is removed from the set or
-group as in the queue-disable operation and the new disk queue is added as in
-the queue-add operation. This operation is valid when the set or group is in
-logging mode.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-i\fR\fR
-.ad
-.sp .6
-.RS 4n
-Displays a list of configured Remote Mirror volumes or sets in the same format
-as the \fIvolset-file\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-R\fR\fR
-.ad
-.sp .6
-.RS 4n
-Attempt to reset a Remote Mirror set's error condition such as failed bitmaps.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-R\fR \fBb\fR \fBp\fR \fIbitmap\fR\fR
-.ad
-.sp .6
-.RS 4n
-Reconfigure a Remote Mirror set's primary bitmap. This command should be
-entered on both primary and secondary servers. It is only possible to
-reconfigure the primary bitmap for one set at a time.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-R\fR \fBb\fR \fBs\fR \fIbitmap\fR\fR
-.ad
-.sp .6
-.RS 4n
-Reconfigure a Remote Mirror set's secondary bitmap. This command should be
-entered on both primary and secondary servers. It is only possible to
-reconfigure the secondary bitmap for one set at a time.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-R\fR \fBC\fR \fItag\fR\fR
-.ad
-.sp .6
-.RS 4n
-Reconfigure the cluster tag, or disk group name, of a Remote Mirror set's local
-volumes, in those cases where this is not indicated by the pathname. This does
-not affect the remote volumes. This parameter cannot be used on a system that
-is not clustered.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-R\fR \fBm\fR \fB{sync\fR \fB|\fR \fBasync}\fR\fR
-.ad
-.sp .6
-.RS 4n
-Reconfigure the replication mode of a Remote Mirror set. The sets belonging to
-a consistency group must be either all synchronous or all asynchronous. It is
-not possible to mix modes within a group.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-R\fR \fBg\fR \fIgroup\fR\fR
-.ad
-.sp .6
-.RS 4n
-Reconfigure the consistency group of a Remote Mirror set. This command should
-be entered with the same group name on both primary and secondary servers.
-.sp
-To remove a set from a consistency group, specify the null string (" ") when
-reconfiguring the consistency group.
-.RE
-
-.sp
-.LP
-The following parameters can be issued only from the primary server:
-.sp
-.ne 2
-.na
-\fB\fB-m\fR\fR
-.ad
-.sp .6
-.RS 4n
-Starts a full volume copy from the primary volume to the secondary volume, and
-concurrently enables Remote Mirror replication of new updates from the primary
-volume to the secondary volume. Use this parameter when the primary and
-secondary volumes might be different and no logging information exists to
-incrementally resynchronize the volumes. See EXIT STATUS.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-r\fR\fR
-.ad
-.sp .6
-.RS 4n
-Reverses the direction of the synchronization so the primary volume is
-synchronized from the secondary volume. Use this parameter with the \fB-m\fR or
-\fB-u\fR parameter. \fB-m\fR \fB-r\fR starts a full volume copy from the
-secondary (source) volume to the primary (target) volume but concurrently
-enables Remote Mirror replication of new updates from the primary (source)
-volume to the secondary (target) volume, ensuring the volume sets remain
-synchronized. Use \fB-m\fR \fB-r\fR when the primary and secondary volume
-content might differ and the secondary has the desired contents, yet no logging
-information exists to incrementally resynchronize the volumes (using \fB-u\fR).
-\fB-u\fR \fB-r\fR resynchronizes the primary (target) volume from the secondary
-(source) volume, using the Remote Mirror scoreboard logs maintained while
-replication was suspended. It then resumes Remote Mirror replication of new
-updates from the primary volume to the secondary volume so that the volume sets
-remain synchronized. Quiesce the workload to the volume sets during the
-restore/refresh operation. This action ensures that the primary and secondary
-volumes match before replication of new updates resumes.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-u\fR\fR
-.ad
-.sp .6
-.RS 4n
-Updates a Remote Mirror volume set. This parameter resynchronizes a Remote
-Mirror volume set. Only the blocks logged as changed in the Remote Mirror
-scoreboards are updated. Enables Remote Mirror replication for the primary
-volume and also uses the Remote Mirror scoreboard logs to start the
-resynchronization process so that the corresponding secondary volume matches
-the primary volume.
-.RE
-
-.SS "States Returned from \fBsndradm\fR \fB-P\fR"
-.sp
-.LP
-The following are the states that can be returned from \fBsndradm\fR \fB-P\fR.
-.sp
-.ne 2
-.na
-\fB\fBvolume\fR \fBfailed\fR\fR
-.ad
-.sp .6
-.RS 4n
-An I/O operation to the local data volume has failed
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBbitmap\fR \fBfailed\fR\fR
-.ad
-.sp .6
-.RS 4n
-An I/O operation to the local bitmap volume has failed
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBdisk\fR \fBqueue\fR \fBfailed\fR\fR
-.ad
-.sp .6
-.RS 4n
-An I/O operation to disk queue volume has failed
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBneed\fR \fBsync\fR\fR
-.ad
-.sp .6
-.RS 4n
-A sync to this volume has been interrupted. It needs to be completed (or
-restored via Point-in-Time Copy). The direction of the data flow must not be
-changed until one or the other is done.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBneed\fR \fBreverse\fR \fBsync\fR\fR
-.ad
-.sp .6
-.RS 4n
-A reverse sync to this volume has been interrupted. It needs to be completed
-(or restored via Point-in-Time Copy). The direction of the data flow must not
-be changed until one or the other is done.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBlogging\fR\fR
-.ad
-.sp .6
-.RS 4n
-Incoming writes are logged in the bitmap only. Data is not replicated to the
-remote site. \fBneed sync\fR, \fBneed reverse sync\fR, and \fBqueuing\fR are
-all substates of logging such that writes are logged in the bitmap, but not
-replicated. Queuing mode (described below) logs the writes to the bitmap, and
-queues the request for later replication by the async flushers.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBreverse\fR \fBsyncing\fR\fR
-.ad
-.sp .6
-.RS 4n
-A secondary to primary copy is in progress.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBsyncing\fR\fR
-.ad
-.sp .6
-.RS 4n
-A primary to secondary copy is in progress.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBqueuing\fR\fR
-.ad
-.sp .6
-.RS 4n
-During normal async replication using disk queues, i/o is placed on the disk
-queue to be replicated by the async flusher threads. In the event of a
-temporary link failure, the set transitions to queuing mode. The queue is not
-discarded, as it would be with memory based queues. Instead, data is logged in
-the bitmap and placed on the queue. When the link comes up, and \fBsndradm\fR
-\fB-u\fR is issued, (automated by turning autosync on for the set) the flushers
-restarts. This preserves write ordering through a temporary link outage. If
-write ordering is not necessary, and only the latest data is needed, the set
-can be put into logging manually (\fBsndradm\fR \fB-l\fR) and an update sync
-issued (\fBsndradm\fR \fB-u\fR). This action discards the data on the queue,
-and fast resyncs using the bitmap. If the queue fills before the link comes
-back and the update sync is issued, the queue is discarded and the set put into
-logging mode to avoid application hangs.
-.RE
-
-.SH EXAMPLES
-.LP
-\fBExample 1 \fREnabling a Remote Mirror Set
-.sp
-.LP
-The following command enables a Remote Mirror asynchronous set on host
-\fBexample\fR, where \fBexample\fR is the primary host and \fBexample-remote\fR
-is the secondary host.
-
-.sp
-.in +2
-.nf
-example% \fBsndradm -e example /dev/rdsk/c1t0d0s1 /dev/rdsk/c1t1d0s3 \e
-example-remote /dev/rdsk/c2t3d0s5 /dev/rdsk/c2t4d0s5 ip async\fR
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 2 \fRAdding a Disk Queue to an Asynchronous Set
-.sp
-.LP
-The following command adds a disk queue volume to an asynchronous set.
-
-.sp
-.in +2
-.nf
-example% \fBsndradm -q a /dev/rdsk/c1t2d0s3 \e
-example-remote:/dev/rdsk/c2t3d0s5\fR
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 3 \fRRemoving a Disk Queue from an Asynchronous Set
-.sp
-.LP
-The following command removes the disk queue volume from a set with a disk
-queue volume attatched to it.
-
-.sp
-.in +2
-.nf
-example% \fBsndradm -q d example-remote:/dev/rdsk/c2t3d0s5\fR
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 4 \fRDisabling a Remote Mirror Set
-.sp
-.LP
-The following command disables a Remote Mirror set enabled on host
-\fBexample\fR.
-
-.sp
-.in +2
-.nf
-example% \fBsndradm -d example-remote:/dev/rdsk/c2t3d0s5\fR
-.fi
-.in -2
-.sp
-
-.SH EXIT STATUS
-.sp
-.ne 2
-.na
-\fB\fB0\fR\fR
-.ad
-.RS 13n
-Command completed successfully.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB>0\fR\fR
-.ad
-.RS 13n
-An error occurred.
-.RE
-
-.sp
-.LP
-When the \fB-m\fR or \fB-u\fR option is executed in a script, the exit status
-following one of these options always returns success, regardless of the
-current status of the Remote Mirror set.
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Evolving
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBdscfg\fR(1M), \fBsndrd\fR(1M), \fBsndrsyncd\fR(1M), \fBds.log\fR(4),
-\fBrdc.cf\fR(4), \fBattributes\fR(5), \fBsv\fR(7D)