--- old/usr/src/man/man1m/svadm.1m	Fri Jul 27 15:35:48 2018
+++ /dev/null	Fri Jul 27 15:07:21 2018
@@ -1,181 +0,0 @@
-'\" te
-.\"  Copyright (c) 2007, Sun Microsystems, Inc.  All rights reserved.
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
-.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH SVADM 1M "Oct 2, 2007"
-.SH NAME
-svadm \- command line interface to control Availability Suite Storage Volume
-operations
-.SH SYNOPSIS
-.LP
-.nf
-\fBsvadm\fR \fB-h\fR
-.fi
-
-.LP
-.nf
-\fBsvadm\fR \fB-v\fR
-.fi
-
-.LP
-.nf
-\fBsvadm\fR [\fB-C\fR \fItag\fR]
-.fi
-
-.LP
-.nf
-\fBsvadm\fR [\fB-C\fR \fItag\fR] \fB-i\fR
-.fi
-
-.LP
-.nf
-\fBsvadm\fR [\fB-C\fR \fItag\fR] \fB-e\fR {\fB-f\fR \fIconfig_file\fR | volume}
-.fi
-
-.LP
-.nf
-\fBsvadm\fR [\fB-C\fR \fItag\fR] \fB-d\fR {\fB-f\fR \fIconfig_file\fR | volume}
-.fi
-
-.LP
-.nf
-\fBsvadm\fR [\fB-C\fR \fItag\fR] \fB-r\fR {\fB-f\fR \fIconfig_file\fR | volume}
-.fi
-
-.SH DESCRIPTION
-.LP
-The \fBsvadm\fR command controls the Storage Volume (SV) driver by providing
-facilities to enable and disable the SV driver for specified volumes, and to
-dynamically reconfigure the system.
-.SH OPTIONS
-.LP
-If you specify no arguments to an \fBsvadm\fR command, the utility displays the
-list of volumes currently under SV control. \fBsvadm\fR supports the following
-options:
-.sp
-.ne 2
-.na
-\fB\fB-C\fR \fItag\fR\fR
-.ad
-.sp .6
-.RS 4n
-On a clustered node, limits operations to only those volumes belonging to the
-cluster resource group, or disk group name, specified by tag. This option is
-illegal on a system that is not clustered. The special \fItag\fR, \fBlocal\fR,
-can be used to limit operations to only those volumes that cannot switch over
-to other nodes in the cluster.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-d\fR\fR
-.ad
-.sp .6
-.RS 4n
-Disables the SV devices specified on the command line or in the configuration
-file. If \fB-C\fR tag is specified with this option, then the volume should be
-in this cluster disk group.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-e\fR\fR
-.ad
-.sp .6
-.RS 4n
-Enables the SV devices specified on the command line or in the configuration
-file. Details of the volume are saved in the current configuration. See
-\fBdscfg\fR(1M). If \fB-C\fR tag is specified with this option, then the volume
-should be in this cluster disk group.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-f\fR \fIconfig_file\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies a configuration file that contains a list of volumes. A command reads
-this volume list and then perform the operation. The format of the
-\fIconfig_file\fR is a simple list of volume pathnames, one per line. Blank
-lines and lines starting with the comment character (#) are ignored.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-h\fR\fR
-.ad
-.sp .6
-.RS 4n
-Displays the \fBsvadm\fR usage summary.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-i\fR\fR
-.ad
-.sp .6
-.RS 4n
-Displays extended status for the volumes currently under SV control.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-r\fR\fR
-.ad
-.sp .6
-.RS 4n
-When a \fIconfig_file\fR is specified, reconfigure the running system to match
-the configuration specified in the \fIconfig_file\fR. When the \fB-C\fR option
-is specified, compare the cluster tag for each volume and change it to
-\fIcluster_tag\fR. If a volume is specified with this option, it is valid only
-to reconfigure the cluster tag associated with the volume. The \fB-e\fR or
-\fB-d\fR options should be used to enable or disable single volumes.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-v\fR\fR
-.ad
-.sp .6
-.RS 4n
-Displays the SV version number.
-.RE
-
-.SH USAGE
-.LP
-When an SV volume is enabled, normal system call access to the device (see
-\fBIntro\fR(2)) is redirected into the StoreEdge architecture software. This
-allows standard applications to use StorageTek features such as Sun StorageTek
-Point-in-Time Copy and Remote Mirror Software.
-.sp
-.LP
-The \fBsvadm\fR command generates an entry in the Availability Suite log file,
-\fB/var/adm/ds.log\fR (see \fBds.log\fR(4)), when performing enable (\fB-e\fR)
-and disable (\fB-d\fR) operations.
-.SH ATTRIBUTES
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Evolving
-.TE
-
-.SH SEE ALSO
-.LP
-\fBdscfg\fR(1M), \fBds.log\fR(4), \fBattributes\fR(5), \fBsv\fR(7D)